[ 
https://issues.apache.org/jira/browse/BEAM-1817?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16434411#comment-16434411
 ] 

Udi Meiri commented on BEAM-1817:
---------------------------------

Alan attempted to unpin and got errors on beam8: 
https://builds.apache.org/view/A-D/view/Beam/job/beam_PostCommit_Python_ValidatesContainer_Dataflow/100/console

My comments:

That log also says: 
> UserWarning: You are using version 1.5.4 of pip. However, version 7.0.0 is 
> recommended.

It's failing on 
> Running setup.py install for grpcio
so quite possibly a newer version of pip would use a wheel instead of compiling.



I would propose we first 

> Python environment is different on some nodes
> ---------------------------------------------
>
>                 Key: BEAM-1817
>                 URL: https://issues.apache.org/jira/browse/BEAM-1817
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-py-core, testing
>            Reporter: Sourabh Bajaj
>            Assignee: Jason Kuster
>            Priority: Major
>          Time Spent: 50m
>  Remaining Estimate: 0h
>
> We've pined the python post commits to specific nodes as pip in some of the 
> new nodes seems to be installed differently from the ones before.
> https://github.com/apache/beam/pull/2308/files
> Please remove the changes in above PR once this is resolved.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to